Subject: Re: [PATCH 1/2] gnu: linux-libre: Parameterize the revision of the deblob scripts.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 6 Sep 2021 22:18:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Sep 04, 2021 at 07:26:04PM -0400, Leo Famulari wrote:
> * gnu/packages/linux.scm (linux-libre-5.13-gnu-revision,
> linux-libre-5.10-gnu-revision, linux-libre-5.4-gnu-revision,
> linux-libre-4.19-gnu-revision, linux-libre-4.14-gnu-revision,
> linux-libre-4.9-gnu-revision, linux-libre-4.4-gnu-revision,
> linux-libre-gnu-revision, linux-libre-lts-gnu-revision): New variables.
> (linux-libre-deblob-scripts, linux-libre-urls, make-linux-libre-headers,
> make-linux-libre-headers*, make-linux-libre, make-linux-libre*): Add a
> gnu-revision argument.
> (deblob-scripts-5.13, deblob-scripts-5.10, deblob-scripts-5.4,
> deblob-scripts-4.19, deblob-scripts-4.14, deblob-scripts-4.9,
> deblob-scripts-4.4): Set the gnu-revision.
> (linux-libre-headers-5.13, linux-libre-headers-5.10, linux-libre-headers-5.4,
> linux-libre-headers-4.19, linux-libre-headers-4.14, linux-libre-headers-4.9,
> linux-libre-headers-4.4): Likewise.
> (linux-libre-5.10, linux-libre-5.4, linux-libre-4.19, linux-libre-4.14,
> linux-libre-4.9, linux-libre-4.4, linux-libre-arm-generic,
> linux-libre-arm-generic-5.10, linux-libre-arm-generic-5.4,
> linux-libre-arm-generic-4.19, linux-libre-arm-generic-4.14,
> linux-libre-arm-omap2plus, linux-libre-arm-omap2plus-4.19,
> linux-libre-arm-omap2plus-4.14, linux-libre-arm64-generic,
> linux-libre-arm64-generic-5.10, linux-libre-arm64-generic-5.4,
> linux-libre-riscv64-generic, linux-libre-mips64el-fuloong2e,
> linux-libre-with-bpf): Likewise.
> (linux-libre-headers-5.4.20): Set the gnu-revision, taking care not to alter the
> derivation.

I simplified the changes to linux-libre-headers-5.4.20 and pushed as
a185a02f544d8091be7310022761ac33bd9aed9a

Please report any breakage!